<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
    </head>

    <body>
        <div id="root"></div>

        <script>
			var API = window.parent.VirtualPad.api
			API.orientation = window.parent.screen.orientation

            function sendMessage(type, msg) {
                window.parent.postMessage({ type, msg }, '*')
            }

            sendMessage('load')
            window.addEventListener('message', function(event) {
                if(event.data.type == 'set-controller') {
					sendMessage('controller-loaded')

					API.unlock()
					API.orientation.lock('landscape')

                    var node = document.createElement('script')
                    node.text = event.data.controller
					document.body.appendChild(node)
                } else if(event.data.type == 'data') {
					window.parent.VirtualPad.receiveData(event.data.data.idSensor, event.data.data.data)
				} else if(event.data.type == 'send-file') {
					window.parent.VirtualPad.receiveFile(event.data.file.name, event.data.file.mimeType, event.data.file.data)
				} else if(event.data.type == 'file') {
					window.parent.VirtualPad.receiveRequestedFile(event.data.file.name, event.data.file.mimeType, event.data.file.data)
				}
            })
        </script>
    </body>

</html>
